/*
 * Copyright (c) 2002 - trem0r
 * This file is part of the PornView - photo collection manager.
 */

#ifndef __DIRVIEW_H__
#define __DIRVIEW_H__

typedef struct _DirView DirView;

struct _DirView
{
    GtkWidget      *container;
    GtkWidget      *toolbar;
    GtkWidget      *toolbar_eventbox;
    GtkWidget      *toolbar_refresh_btn;
    GtkWidget      *toolbar_up_btn;
    GtkWidget      *toolbar_down_btn;
    GtkWidget      *toolbar_collapse_btn;
    GtkWidget      *toolbar_expand_btn;
    GtkWidget      *toolbar_show_hidden_btn;

    GtkWidget      *scroll_win;
    GtkWidget      *dirtree;

    gboolean        lock_select;
};

extern DirView *dirview;

void            dirview_create (const gchar * start_path,
				GtkWidget * parent_win);
void            dirview_destroy (void);
void            dirview_scroll_center (void);

#endif /* __DIRVIEW_H__ */
