/*
 * Copyright (c) 2002 - trem0r
 * This file is part of the PornView - photo collection manager.
 */

#ifndef __FILEUTIL_H__
#define __FILEUTIL_H__

gchar          *home_dir (void);
gint            isfile (const gchar * path);
gint            isdir (const gchar * path);
gint            islink (const gchar * path);
gint            iswritable (const gchar * path);
gint            makedir (const gchar * path);
time_t          filetime (const gchar * path);
gint            filesize (const gchar * path);
gchar          *extension (const gchar * path);
const gchar    *filename_from_path (const gchar * path);
gchar          *remove_level_from_path (const gchar * path);

#endif /* __FILEUTIL_H__ */
