/*
 * Copyright (c) 2002 - trem0r
 * This file is part of the PornView - photo collection manager.
 */

#ifndef __BROWSER_H__
#define __BROWSER_H__

typedef struct _Browser Browser;

struct _Browser
{
    GtkWidget      *window;
    GtkItemFactory *menu;
    GtkWidget      *notebook;
    GtkWidget      *status_dir;
    GtkWidget      *status_image;
    GtkWidget      *progress;

    GString        *current_path;
    GString        *last_path;
};

typedef enum
{
    VIEWTYPE_IMAGEVIEW,
    VIEWTYPE_MOVIEVIEW
}
ViewType;

extern Browser *browser;

void            browser_create (void);
void            browser_destroy (void);
void            browser_select_dir (gchar * path);
void            browser_set_view (ViewType type);

#endif /* __BROWSER_H__ */
