/*
 * Copyright (c) 2002 - trem0r
 * This file is part of the PornView - photo collection manager.
 */

#ifndef __FILELIST_H__
#define __FILELIST_H__

typedef struct _FileList FileList;
typedef struct _FileListNode FileListNode;

struct _FileListNode
{
    gchar          *file_name;
    gint            file_type;
};

struct _FileList
{
    GList          *list;
    guint           num;
};

extern FileList *filelist;

FileList       *filelist_init (void);
void            filelist_free (FileList * fl);
void            filelist_alloc_list (FileList * fl);
void            filelist_add_to_list (FileList * fl, gchar * name, gint type);
void            filelist_clear_list (FileList * fl);
void            filelist_create_list (FileList * fl, gchar * path);

#endif /* __FILELIST_H__ */
