/*
 * Copyright (c) 2002 - trem0r
 * This file is part of the PornView - photo collection manager.
 */

#ifndef __PREFS_H__
#define __PREFS_H__

typedef struct _Config
{
/* startup directory */
    gint            startup_dir_mode;
    gchar          *startup_dir;

/* window size */
    gboolean        save_win_state;
    gint            window_width;
    gint            window_height;
    gint            dirtree_width;
    gint            dirtree_height;

/* scan directory */
    gboolean        scan_dir;
    gboolean        check_hlinks;
    gboolean        show_hidden;

/* dirtree style */
    gint            dirtree_line_style;
    gint            dirtree_expander_style;

/* thumbnails */
    gint            thumbnail_quality;

/* cache */
    gboolean        enable_thumb_dirs;
    gboolean        enable_thumb_caching;

/* thumbview mode */
    gint            thumbview_mode;

/* image */
    gint            image_quality;
    gint            image_dithering;

/* image zoom */
    gboolean        image_fit;

/* slideshow interval */
    gint            slideshow_interval;
}
Config;

extern Config   conf;

#define PORNVIEW_RC_DIR ".pornview"
#define PORNVIEW_RC_FILE "pornviewrc"

void            prefs_load_config (void);
void            prefs_save_config (void);

#endif /* __PREFS_H__ */
